
CoCoALib - Support #234

Update/Improve geobucket documentation

25 Sep 2012 16:44 - John Abbott

Status: Closed Start date: 25 Sep 2012

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Documentation Estimated time: 5.00 hours

Target version: CoCoALib-0.99532 Spent time: 5.45 hours

Description

The geobucket doc is very old and needs a major revision.

Related issues:

Related to CoCoALib - Feature #253: W.Bruns's wish list Closed 04 Oct 2012

History

#1 - 04 Oct 2012 12:48 - John Abbott

Anna will add a clear example.

#2 - 05 Oct 2012 08:50 - Anna Maria Bigatti

- Status changed from New to In Progress

- % Done changed from 0 to 50

I made an example showing how to add one monomial at a time and comparing timings with standard "+=".

... "+=" is surprisingly slow, even on small polynomials where I expect it to be indeed faster than the geobucket sum.  Needs investigation.

#3 - 05 Oct 2012 16:17 - Anna Maria Bigatti

I found the reason why "lhs+=f" is slow:

to guarantee exception safety it has to make a copy of lhs.

But, when f is just a monomial it is easy (well, a juggle with a few pointers) to make it exception safe.

So I wrote the function myAddMonomial to the class DistrMPolyClean and timings for "+=" are much much better.

Now I have to do it also for DMPI and DMPII.

I had forgotten how stressful it is to deal with memory and pointers....

#4 - 05 Oct 2012 17:42 - Anna Maria Bigatti

Improved all multivariate polynomials (using new function myAddMonomial)

Need some memory checking, just to make sure....

#5 - 08 Oct 2012 12:36 - John Abbott

Don't forget the DEBUG2 setting available in autoconf.mk; it activates checking in MemPool managed memory, and may do most of what you want.

#6 - 28 Jan 2014 14:59 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- Target version set to CoCoALib-0.9953

- % Done changed from 50 to 90
#7 - 21 Mar 2014 14:29 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.9953 to CoCoALib-0.99532

#8 - 01 Apr 2014 19:37 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#9 - 03 Apr 2014 11:51 - Anna Maria Bigatti

- Estimated time set to 5.00 h
